// Copyright 2008-2009 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// <http://www.omnigroup.com/developer/sourcecode/sourcelicense/>.
//
// $Header: $

#import <Foundation/NSObject.h>


// OAApplications's enhanced target selection support is off by default for now.  Set the "OATargetSelection" user default to YES to use it.
// Return NO to stop the applier, YES to continue
typedef BOOL (^OAResponderChainApplier)(id target);

@interface NSObject (OATargetSelection)
- (BOOL)applyToResponderChain:(OAResponderChainApplier)applier;
- (id)responsibleTargetForAction:(SEL)action sender:(id)sender;
@end
